#!/bin/sh
# $Id: genstat.sh,v 1.4 1999/05/06 07:52:32 fa Exp fa $
# $Source: /home/fa/statsurf/RCS/genstat.sh,v $

gnuplot="/usr/local/bin/gnuplot"
scp="/bin/scp"
date=`/bin/date '+%Y-%m-%d'`
time=`/bin/date '+%H:%M:%S'`
month=`/bin/date '+%Y-%m'`
echo="/usr/ucb/echo"
path="$HOME/statsurf"
datafile="statsurf.out"
monthfile="statsurf.mon"
logfile="genstat.log"

logg() {
echo "`date '+%Y-%m-%d %H:%M:%S'` genstat: $@" >>$logfile
}

cd $path

if [ ! -r $datafile -a ! -r $monthfile ]; then
	echo "ERROR: No files to plot !"
	logg $datafile or $monthfile does not exist.
	exit 2
fi

logg Plotting output to gif ...
$gnuplot <<EOF >>$logfile 2>&1
set terminal gif transparent small size 800,300 \
	x404040 x000000 xb3b3b3 \
	xf9f400 x00b2eb x00c000 x000000 \
	x000000 x000000 x000000 x000000
set title "Generated at $date - $time"
set grid

set xdate time

set timefmt "%H:%M"

set ylabel "concurrent users"
set ytics 50
set mytics 5

set xlabel "minute"
set 
set xtics "1:00"
set mxtics 4
set output "daily.gif"
plot '$path/$datafile' using 1:4 title "netsurf users" with lines lt 3,\
	'$path/$datafile' using 1:3 title "total users" with lines lt 2

set xlabel "day"
set xrange[1:31]
set xtics 1
set mxtics 0
set output "monthly.gif"
plot '$path/$monthfile' using 1:3 title "netsurf users" with lines lt 3,\
	'$path/$monthfile' using 1:2 title "total users" with lines lt 2
EOF

logg Moving pictures to archive...
mv -f daily.gif $path/OLD/$date.gif
mv -f monthly.gif $path/OLD/$month.gif
